﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.TreeListView;
using Telerik.Windows.Controls.GridView;

namespace RadTreeListView_WPF
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void RadButton_Click(object sender, RoutedEventArgs e)
		{
			var selectedItem = this.RadTreeListView1.SelectedItem;
			
			this.RadTreeListView1.ItemsSource = Club.GetClubs2();
			this.RadTreeListView1.ExpandAllHierarchyItems();

			var clubItems = this.RadTreeListView1.Items.OfType<Club>();
			var playerItems = this.RadTreeListView1.Items.OfType<Player>();
			
			if (selectedItem is Club)
			{
				foreach (Club club in clubItems)
				{
					if ((selectedItem as Club).Name == club.Name)
					{
						this.RadTreeListView1.ScrollIntoViewAsync(club, null);
						this.RadTreeListView1.SelectedItem = club;
					}
				}
			}

			if (selectedItem is Player)
			{
				foreach (Player player in playerItems)
				{
					if ((selectedItem as Player).Name == player.Name)
					{
						this.RadTreeListView1.ScrollIntoViewAsync(player, null);
						this.RadTreeListView1.SelectedItem = player;
					}
				}
			}
		}
	}
}
